Package com.google.android.exoplayer2.drm

## Interface ExoMediaDrm.OnEventListener

- Enclosing interface:
    ExoMediaDrm

      public static interface ExoMediaDrm.OnEventListener

  Called when a DRM event occurs.
  See Also:
    `MediaDrm.OnEventListener`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onEvent​(ExoMediaDrm mediaDrm, byte[] sessionId, int event, int extra, byte[] data)` | Called when an event occurs that requires the app to be notified

- - ### Method Detail

    - #### onEvent

          void onEvent​(ExoMediaDrm mediaDrm,
                       @Nullable
                       byte[] sessionId,
                       int event,
                       int extra,
                       @Nullable
                       byte[] data)

      Called when an event occurs that requires the app to be notified
      Parameters:
        `mediaDrm` - The `ExoMediaDrm` object on which the event occurred.
        `sessionId` - The DRM session ID on which the event occurred.
        `event` - Indicates the event type.
        `extra` - A secondary error code.
        `data` - Optional byte array of data that may be associated with the event.